Page 1 sur 1

1.2.3-57 et SMARTPTR64

Publié : ven. sept. 15, 2017 8:33 am
par frederic han
Salut, sous linux fedora amd64 lorsque je compile qcas avec des headers giac recents tels que ceux de 1.2.3-57 mon binaire crash.

si je mets un #define SMARTPTR64 ligne 298 dans first.h il fonctionne (sans avoir besoin de changer la libgiac.so). Est ce normal que mon SMARTPTR64 ne soit pas defini?

voici mon environnement lorsque je compile giac.h.
tutu.zip
(31.8 Kio) Téléchargé 138 fois

Re: 1.2.3-57 et SMARTPTR64

Publié : sam. sept. 16, 2017 5:59 am
par parisse
C'est SIZEOF_VOID_P qui n'est pas defini dans ton tutu, il faut probablement que tu rajoutes un #include <giac/config.h>